document.addEventListener('DOMContentLoaded', function() {
    let galleries = document.querySelectorAll('.wp-block-hacklab-flickr-album-gallery')

    if (galleries.length >= 1) {

        const SLIDERTIME = 350;

        galleries.forEach(function(gallery) {
            let buttonGrid = gallery.querySelector('[action=display-grid')
            let galleryGrid = gallery.querySelector('.flickr-album-gallery-grid')
            const allSlides = [...gallery.querySelectorAll('.hl-slide')]

            buttonGrid.addEventListener('click', function() {
                this.classList.toggle('slider-active')
                galleryGrid.classList.toggle('slider-active')
                allSlides[0].classList.add('active')
            })

            let clickable = true;
            let active = null;
            let newActive = null;

            const backButton = gallery.querySelector('.hl-slider-back-btn');
            const forwardButton = gallery.querySelector('.hl-slider-next-btn');

            function initSlider() {
                // Set the CSS transition on the slides to the value we specified in SLIDETIME above
                allSlides.forEach(slide =>
                    slide.setAttribute(
                        'style',
                        `transition: transform ${SLIDERTIME}ms ease;
                                animation-duration: ${SLIDERTIME}ms`,
                    ),
                );
            }

            function changeSlide(forward) {
                if (clickable) {
                    clickable = false;
                    active = gallery.querySelector('.active');
                    const activeSlideIndex = allSlides.indexOf(active);
            
                    if (forward) {
                        newActive = allSlides[(activeSlideIndex + 1) % allSlides.length];
                        active.classList.add('slideOutLeft');
                        newActive.classList.add('slideInRight', 'active');
                    } else {
                        newActive =
                        allSlides[
                            (activeSlideIndex - 1 + allSlides.length) % allSlides.length
                        ];
                        active.classList.add('slideOutRight');
                        newActive.classList.add('slideInLeft', 'active');
                    }
                }
            }

            allSlides.forEach(slide => {
                slide.addEventListener('transitionend', e => {
                  // Check for the old active transition and if clickable is false
                  // to not trigger it more than once
                  if (slide === active && !clickable) {
                    clickable = true;
                    // Remove all CSS animation classes on old active
                    active.className = 'hl-slide';
                  }
                });
              });

            //Event listeners
            forwardButton.addEventListener('click', () => {
                changeSlide(true);
            });
            backButton.addEventListener('click', () => {
                changeSlide(false);
            });

            // Init the slider
            initSlider();
        })
    }

    // Fancybox
    Fancybox.bind('[data-fancybox="gallery"]', {
        Toolbar: false,
    });
})
