/**
 * External dependencies
 */
import classnames from 'classnames';
import { unescape } from 'lodash';

/**
 * WordPress dependencies
 */
import {
	AlignmentToolbar,
	InspectorControls,
	BlockControls,
	useBlockProps,
	ColorPalette,
} from '@wordpress/block-editor';
import {
	Spinner,
	TextControl,
	ToggleControl,
	RangeControl,
	Panel,
	PanelBody,
	SelectControl,
	FormTokenField

} from '@wordpress/components';
import { useSelect } from '@wordpress/data';
import { __ } from '@wordpress/i18n';
import { store as coreStore } from '@wordpress/core-data';
import ServerSideRender from '@wordpress/server-side-render';
/**
 * Internal dependencies
 */
import usePostTerms from './use-post-terms';

export default function Edit(props) {
	const attributes = props.attributes;
	const context = props.context;
	const setAttributes = props.setAttributes;
	const { separator, selectedMeta } = attributes;
	const { postId, postType } = context;
	const ctaxblock = window.ctaxblock
	
	const hasPost = postId && postType;
	const blockProps = useBlockProps({
		className: classnames({
			
		}),
	});
	// if (!hasPost || !term) {
	// 	return <div {...blockProps}>{__('Post Terms')}</div>;
	// }

	return (
		<div {...useBlockProps()}>
			<BlockControls>

			</BlockControls>
			<InspectorControls key="setting">
				<Panel>
					<PanelBody title={__('Configurações do bloco')}>

						<TextControl
							autoComplete="off"
							label={__('Separator')}
							value={separator || ''}
							onChange={(nextValue) => {
								setAttributes({ separator: nextValue });
							}}
							help={__('Enter character(s) used to separate terms.')}
						/>
						<FormTokenField
							value={selectedMeta || ''}
							
							onChange={(nextValue) => {
								setAttributes({ selectedMeta: nextValue });
							}}
						/>
					</PanelBody>
				</Panel>
			</InspectorControls>
			PostMeta
		</div>
	);
}