document.addEventListener('DOMContentLoaded', function(){
    let storyBlocks = document.querySelectorAll('.wp-block-hacklab-story-list');

    if (storyBlocks) {
        storyBlocks.forEach(function(block) {
            let stories = block.querySelectorAll('article')
            let close = block.querySelector('.close')
            let prev = block.querySelector('.nav.nav-prev')
            let next = block.querySelector('.nav.nav-next')

            close.addEventListener('click', function() {
                let getOpened = document.querySelectorAll('.story-item.opened')
                getOpened.forEach(function(opened) {
                    opened.classList.remove('opened')
                })

                block.classList.remove('opened')

                prev.setAttribute('data-prev', '')
                next.setAttribute('data-next', '')
            })

            prev.addEventListener('click', function() {

                let getOpened = document.querySelectorAll('.story-item.opened')
                getOpened.forEach(function(opened) {
                    opened.classList.remove('opened')
                })
                let open = block.querySelector('[data-story="' + prev.getAttribute('data-prev') + '"]')

                let prevId = open.getAttribute('data-prev')
                let nextId = open.getAttribute('data-next')

                prev.setAttribute('data-prev', prevId)
                next.setAttribute('data-next', nextId)

                open.classList.add('opened')

            })

            next.addEventListener('click', function() {

                let getOpened = document.querySelectorAll('.story-item.opened')
                getOpened.forEach(function(opened) {
                    opened.classList.remove('opened')
                })

                let open = block.querySelector('[data-story="' + next.getAttribute('data-next') + '"]')

                let prevId = open.getAttribute('data-prev')
                let nextId = open.getAttribute('data-next')

                prev.setAttribute('data-prev', prevId)
                next.setAttribute('data-next', nextId)

                open.classList.add('opened')

            })

            stories.forEach(function(story){
                story.addEventListener('click', function(event) {
                    event.preventDefault

                    let getOpened = document.querySelectorAll('.opened')
                    getOpened.forEach(function(opened) {
                        opened.classList.remove('opened')
                    })

                    this.classList.add('opened')

                    block.classList.add('opened')

                    let prevId = this.getAttribute('data-prev')
                    let nextId = this.getAttribute('data-next')

                    prev.setAttribute('data-prev', prevId)
                    next.setAttribute('data-next', nextId)
                })
            })
        })
    }
})
